package com.chinaitop.depot.intelligent.ventilation.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.intelligent.ventilation.model.TJobApplication;
import com.chinaitop.depot.intelligent.ventilation.model.TJobApplicationAudit;

public interface AerationTaskService {

	Map<String, String> save(String taskApplyJson, Integer orgId);

	List<TJobApplication> getList(TJobApplication tJobApplication, Integer approvalState,Integer userId,Integer orgId);

	void submit(String id, Integer approvalStatus);

	int deleteById(String id);

	List<TJobApplicationAudit> getApprovalList(Map<String, Object> paramMap);

	TJobApplication getById(String id);

	List<TJobApplication> getJobCtrlList(Map<String, Object> map);

	TJobApplication getHouseByNumber(String aerationPlanNumber);

}
